Upgrade package policy to a newer package version

Base URL
https://{kibana_url}
  • POST /api/fleet/package_policies/upgrade
  • POST /s/{space_id}/api/fleet/package_policies/upgrade
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

packagePolicyIds string[] required

Responses

OK

application/json
<array> object[]
id string required
name string
success boolean required

Generic Error

application/json
error string
message string
statusCode number

Generic Error

application/json
error string
message string
statusCode number
Base URL
https://{kibana_url}